Epson Stylus Photo 2200 Ink Jet Printer

Selected FAQ

Q:
I'm having problems printing from an iMac OS 8.1 system. What is wrong?
A:
You should update your operating system to iMac OS 8.6. This printer is compatible with Mac OS 8.6 through OS X 10.1 or higher (Mac OS 9.0 or later recommended).

Thank you for your feedback.
Was this FAQ helpful?
Yes No  
Please tell us why this FAQ was not helpful.
Note: We are unable to reply to comments submitted here.


Viewed FAQs

Return to Main FAQs Page